{
  "formatVersion": 1,
  "database": {
    "version": 1,
    "identityHash": "fba079e1b5b48d3643087f718e3b1f57",
    "entities": [
      {
        "tableName": "contact",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `id` TEXT, `userId` TEXT, `name` TEXT, `profile` TEXT, `phoneNumber` TEXT, `countryPN` TEXT, `sim` TEXT, `type` TEXT, `rate` TEXT, `unRead` TEXT, `profilePath` TEXT)",
        "fields": [
          {
            "fieldPath": "_id",
            "columnName": "_id",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "id",
            "columnName": "id",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "userId",
            "columnName": "userId",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "name",
            "columnName": "name",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "profile",
            "columnName": "profile",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "phoneNumber",
            "columnName": "phoneNumber",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "countryPN",
            "columnName": "countryPN",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "sim",
            "columnName": "sim",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "type",
            "columnName": "type",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "rate",
            "columnName": "rate",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "unRead",
            "columnName": "unRead",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "profilePath",
            "columnName": "profilePath",
            "affinity": "TEXT",
            "notNull": false
          }
        ],
        "primaryKey": {
          "columnNames": [
            "_id"
          ],
          "autoGenerate": true
        },
        "indices": [
          {
            "name": "index_contact__id",
            "unique": true,
            "columnNames": [
              "_id"
            ],
            "orders": [],
            "createSql": "CREATE UNIQUE INDEX IF NOT EXISTS `index_contact__id` ON `${TABLE_NAME}` (`_id`)"
          }
        ],
        "foreignKeys": []
      }
    ],
    "views": [],
    "setupQueries": [
      "CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)",
      "INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, 'fba079e1b5b48d3643087f718e3b1f57')"
    ]
  }
}